Debian Bug report logs - #649068
rgmanager and resource-agents: error when trying to install together

version graph

Package: rgmanager; Maintainer for rgmanager is Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>; Source for rgmanager is src:redhat-cluster.

Reported by: Ralf Treinen <treinen@debian.org>

Date: Thu, 17 Nov 2011 10:05:10 UTC

Severity: serious

Tags: patch

Found in versions redhat-cluster/3.0.12-3.2, redhat-cluster/3.0.12-3, redhat-cluster/3.0.12-3.1

Fixed in versions redhat-cluster/3.1.8-1, redhat-cluster/3.0.12-3.2+deb7u1

Done: Ivo De Decker <ivo.dedecker@ugent.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Thu, 17 Nov 2011 10:05:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

rgmanager/3.0.12-3

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 17 Nov 2011 10:05:29 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: submit@bugs.debian.org
Subject: rgmanager and resource-agents: error when trying to install together
Date: Thu, 17 Nov 2011 10:59:57 +0100
Package: resource-agents,rgmanager
Version: resource-agents/1:3.9.2-5
Version: rgmanager/3.0.12-3
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2011-11-17
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  perl libtext-charwidth-perl perl-base liblocale-gettext-perl
  libtext-iconv-perl perl-modules libswitch-perl libclass-isa-perl libtinfo5
  libbsd0 libedit2 libkeyutils1 libkrb5support0 libk5crypto3 libkrb5-3
  libgssapi-krb5-2 libsasl2-2 libldap-2.4-2 libpcre3 libgssglue1 libtirpc1
  libwrap0 libnspr4-0d libnss3-1d libcorosync4 libxml2 libccs3 libcman3
  libdlm3 libdlmcontrol3 libfence4 liblogthread3 libsackpt3
  libavahi-common-data libavahi-common3 libdbus-1-3 libavahi-client3
  libcap-ng0 dmsetup libdevmapper1.02.1 libnl1 libnuma1 libpcap0.8
  libxenstore3.0 libyajl1 libvirt0 corosync libsaamf3 libsaclm3 libsaevt3
  libsalck3 libsamsg4 libsatmr3 openais python2.7-minimal mime-support
  libdb4.8 libexpat1 python2.7 python-minimal python libopenipmi0 libsnmp-base
  libperl5.14 libsensors4 libsnmp15 openipmi libsgutils2-2 sg3-utils
  python-central python-pexpect libnet-snmp-perl libnet-telnet-perl snmp
  telnet openssh-client python-support python-openssl libxml2-utils cman
  libsigsegv2 gawk librtmp0 libssh2-1 openssl ca-certificates libcurl3
  libglib2.0-0 libdbus-glib-1-2 libltdl7 libcap2 libevent-1.4-2 libnfsidmap2
  rpcbind ucf nfs-common libpils2 libplumb2 liblrm2 libopenhpi2 libplumbgpl2
  libstonith1 libtimedate-perl cluster-glue libnet1 libsysfs2
  nfs-kernel-server resource-agents iputils-arping rgmanager

Extracting templates from packages: 27%
Extracting templates from packages: 54%
Extracting templates from packages: 81%
Extracting templates from packages: 100%
Preconfiguring packages ...
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
(Reading database ... 10587 files and directories currently installed.)
Preparing to replace perl 5.12.4-6 (using .../perl_5.14.2-4_amd64.deb) ...
Unpacking replacement perl ...
Preparing to replace libtext-charwidth-perl 0.04-7 (using .../libtext-charwidth-perl_0.04-7+b1_amd64.deb) ...
Unpacking replacement libtext-charwidth-perl ...
Preparing to replace perl-base 5.12.4-6 (using .../perl-base_5.14.2-4_amd64.deb) ...
Unpacking replacement perl-base ...
Processing triggers for man-db ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up perl-base (5.14.2-4) ...
Can not write log, openpty() failed (/dev/pts not mounted?)
(Reading database ... 10618 files and directories currently installed.)
Preparing to replace liblocale-gettext-perl 1.05-7 (using .../liblocale-gettext-perl_1.05-7+b1_amd64.deb) ...
Unpacking replacement liblocale-gettext-perl ...
Preparing to replace libtext-iconv-perl 1.7-4 (using .../libtext-iconv-perl_1.7-4+b1_amd64.deb) ...
Unpacking replacement libtext-iconv-perl ...
Preparing to replace perl-modules 5.12.4-6 (using .../perl-modules_5.14.2-4_all.deb) ...
Unpacking replacement perl-modules ...
Selecting previously unselected package libswitch-perl.
Unpacking libswitch-perl (from .../libswitch-perl_2.16-2_all.deb) ...
Selecting previously unselected package libclass-isa-perl.
Unpacking libclass-isa-perl (from .../libclass-isa-perl_0.36-2_all.deb) ...
Selecting previously unselected package libtinfo5.
Unpacking libtinfo5 (from .../libtinfo5_5.9-4_amd64.deb) ...
Selecting previously unselected package libbsd0.
Unpacking libbsd0 (from .../libbsd0_0.3.0-1_amd64.deb) ...
Selecting previously unselected package libedit2.
Unpacking libedit2 (from .../libedit2_2.11-20080614-3_amd64.deb) ...
Selecting previously unselected package libkeyutils1.
Unpacking libkeyutils1 (from .../libkeyutils1_1.5.2-2_amd64.deb) ...
Selecting previously unselected package libkrb5support0.
Unpacking libkrb5support0 (from .../libkrb5support0_1.9.1+dfsg-3_amd64.deb) ...
Selecting previously unselected package libk5crypto3.
Unpacking libk5crypto3 (from .../libk5crypto3_1.9.1+dfsg-3_amd64.deb) ...
Selecting previously unselected package libkrb5-3.
Unpacking libkrb5-3 (from .../libkrb5-3_1.9.1+dfsg-3_amd64.deb) ...
Selecting previously unselected package libgssapi-krb5-2.
Unpacking libgssapi-krb5-2 (from .../libgssapi-krb5-2_1.9.1+dfsg-3_amd64.deb) ...
Selecting previously unselected package libsasl2-2.
Unpacking libsasl2-2 (from .../libsasl2-2_2.1.25.dfsg1-2_amd64.deb) ...
Selecting previously unselected package libldap-2.4-2.
Unpacking libldap-2.4-2 (from .../libldap-2.4-2_2.4.25-4+b1_amd64.deb) ...
Selecting previously unselected package libpcre3.
Unpacking libpcre3 (from .../libpcre3_8.12-4_amd64.deb) ...
Selecting previously unselected package libgssglue1.
Unpacking libgssglue1 (from .../libgssglue1_0.3-3.1_amd64.deb) ...
Selecting previously unselected package libtirpc1.
Unpacking libtirpc1 (from .../libtirpc1_0.2.2-5_amd64.deb) ...
Selecting previously unselected package libwrap0.
Unpacking libwrap0 (from .../libwrap0_7.6.q-21_amd64.deb) ...
Selecting previously unselected package libnspr4-0d.
Unpacking libnspr4-0d (from .../libnspr4-0d_4.8.9-1_amd64.deb) ...
Selecting previously unselected package libnss3-1d.
Unpacking libnss3-1d (from .../libnss3-1d_3.13.1.with.ckbi.1.88-1_amd64.deb) ...
Selecting previously unselected package libcorosync4.
Unpacking libcorosync4 (from .../libcorosync4_1.4.2-1_amd64.deb) ...
Selecting previously unselected package libxml2.
Unpacking libxml2 (from .../libxml2_2.7.8.dfsg-5_amd64.deb) ...
Selecting previously unselected package libccs3.
Unpacking libccs3 (from .../libccs3_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libcman3.
Unpacking libcman3 (from .../libcman3_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libdlm3.
Unpacking libdlm3 (from .../libdlm3_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libdlmcontrol3.
Unpacking libdlmcontrol3 (from .../libdlmcontrol3_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libfence4.
Unpacking libfence4 (from .../libfence4_3.0.12-3_amd64.deb) ...
Selecting previously unselected package liblogthread3.
Unpacking liblogthread3 (from .../liblogthread3_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libsackpt3.
Unpacking libsackpt3 (from .../libsackpt3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libavahi-common-data.
Unpacking libavahi-common-data (from .../libavahi-common-data_0.6.30-5_amd64.deb) ...
Selecting previously unselected package libavahi-common3.
Unpacking libavahi-common3 (from .../libavahi-common3_0.6.30-5_amd64.deb) ...
Selecting previously unselected package libdbus-1-3.
Unpacking libdbus-1-3 (from .../libdbus-1-3_1.4.16-1_amd64.deb) ...
Selecting previously unselected package libavahi-client3.
Unpacking libavahi-client3 (from .../libavahi-client3_0.6.30-5_amd64.deb) ...
Selecting previously unselected package libcap-ng0.
Unpacking libcap-ng0 (from .../libcap-ng0_0.6.6-1_amd64.deb) ...
Selecting previously unselected package dmsetup.
Unpacking dmsetup (from .../dmsetup_2%3a1.02.67-1_amd64.deb) ...
Selecting previously unselected package libdevmapper1.02.1.
Unpacking libdevmapper1.02.1 (from .../libdevmapper1.02.1_2%3a1.02.67-1_amd64.deb) ...
Selecting previously unselected package libnl1.
Unpacking libnl1 (from .../libnl1_1.1-7_amd64.deb) ...
Selecting previously unselected package libnuma1.
Unpacking libnuma1 (from .../libnuma1_2.0.5-1_amd64.deb) ...
Selecting previously unselected package libpcap0.8.
Unpacking libpcap0.8 (from .../libpcap0.8_1.1.1-10_amd64.deb) ...
Selecting previously unselected package libxenstore3.0.
Unpacking libxenstore3.0 (from .../libxenstore3.0_4.1.1-3_amd64.deb) ...
Selecting previously unselected package libyajl1.
Unpacking libyajl1 (from .../libyajl1_1.0.12-2_amd64.deb) ...
Selecting previously unselected package libvirt0.
Unpacking libvirt0 (from .../libvirt0_0.9.7-2_amd64.deb) ...
Selecting previously unselected package corosync.
Unpacking corosync (from .../corosync_1.4.2-1_amd64.deb) ...
Selecting previously unselected package libsaamf3.
Unpacking libsaamf3 (from .../libsaamf3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libsaclm3.
Unpacking libsaclm3 (from .../libsaclm3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libsaevt3.
Unpacking libsaevt3 (from .../libsaevt3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libsalck3.
Unpacking libsalck3 (from .../libsalck3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libsamsg4.
Unpacking libsamsg4 (from .../libsamsg4_1.1.4-3_amd64.deb) ...
Selecting previously unselected package libsatmr3.
Unpacking libsatmr3 (from .../libsatmr3_1.1.4-3_amd64.deb) ...
Selecting previously unselected package openais.
Unpacking openais (from .../openais_1.1.4-3_amd64.deb) ...
Selecting previously unselected package python2.7-minimal.
Unpacking python2.7-minimal (from .../python2.7-minimal_2.7.2-7_amd64.deb) ...
Selecting previously unselected package mime-support.
Unpacking mime-support (from .../mime-support_3.51-1_all.deb) ...
Selecting previously unselected package libdb4.8.
Unpacking libdb4.8 (from .../libdb4.8_4.8.30-10_amd64.deb) ...
Selecting previously unselected package libexpat1.
Unpacking libexpat1 (from .../libexpat1_2.0.1-7.2_amd64.deb) ...
Selecting previously unselected package python2.7.
Unpacking python2.7 (from .../python2.7_2.7.2-7_amd64.deb) ...
Selecting previously unselected package python-minimal.
Unpacking python-minimal (from .../python-minimal_2.7.2-9_all.deb) ...
Selecting previously unselected package python.
Unpacking python (from .../python_2.7.2-9_all.deb) ...
Selecting previously unselected package libopenipmi0.
Unpacking libopenipmi0 (from .../libopenipmi0_2.0.16-1.3_amd64.deb) ...
Selecting previously unselected package libsnmp-base.
Unpacking libsnmp-base (from .../libsnmp-base_5.4.3~dfsg-2.3_all.deb) ...
Selecting previously unselected package libperl5.14.
Unpacking libperl5.14 (from .../libperl5.14_5.14.2-4_amd64.deb) ...
Selecting previously unselected package libsensors4.
Unpacking libsensors4 (from .../libsensors4_1%3a3.3.1-1_amd64.deb) ...
Selecting previously unselected package libsnmp15.
Unpacking libsnmp15 (from .../libsnmp15_5.4.3~dfsg-2.3+b1_amd64.deb) ...
Selecting previously unselected package openipmi.
Unpacking openipmi (from .../openipmi_2.0.16-1.3_amd64.deb) ...
Selecting previously unselected package libsgutils2-2.
Unpacking libsgutils2-2 (from .../libsgutils2-2_1.32-1_amd64.deb) ...
Selecting previously unselected package sg3-utils.
Unpacking sg3-utils (from .../sg3-utils_1.32-1_amd64.deb) ...
Selecting previously unselected package python-central.
Unpacking python-central (from .../python-central_0.6.17_all.deb) ...
Selecting previously unselected package python-pexpect.
Unpacking python-pexpect (from .../python-pexpect_2.3-1_all.deb) ...
Selecting previously unselected package libnet-snmp-perl.
Unpacking libnet-snmp-perl (from .../libnet-snmp-perl_6.0.1-2_all.deb) ...
Selecting previously unselected package libnet-telnet-perl.
Unpacking libnet-telnet-perl (from .../libnet-telnet-perl_3.03-3_all.deb) ...
Selecting previously unselected package snmp.
Unpacking snmp (from .../snmp_5.4.3~dfsg-2.3+b1_amd64.deb) ...
Selecting previously unselected package telnet.
Unpacking telnet (from .../telnet_0.17-36_amd64.deb) ...
Selecting previously unselected package openssh-client.
Unpacking openssh-client (from .../openssh-client_1%3a5.9p1-2_amd64.deb) ...
Selecting previously unselected package python-support.
Unpacking python-support (from .../python-support_1.0.14_all.deb) ...
Selecting previously unselected package python-openssl.
Unpacking python-openssl (from .../python-openssl_0.13-1_amd64.deb) ...
Selecting previously unselected package libxml2-utils.
Unpacking libxml2-utils (from .../libxml2-utils_2.7.8.dfsg-5_amd64.deb) ...
Selecting previously unselected package cman.
Unpacking cman (from .../cman_3.0.12-3_amd64.deb) ...
Selecting previously unselected package libsigsegv2.
Unpacking libsigsegv2 (from .../libsigsegv2_2.9-4_amd64.deb) ...
Processing triggers for man-db ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up libsigsegv2 (2.9-4) ...
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package gawk.
(Reading database ... 12920 files and directories currently installed.)
Unpacking gawk (from .../gawk_1%3a3.1.8+dfsg-0.1_amd64.deb) ...
Selecting previously unselected package librtmp0.
Unpacking librtmp0 (from .../librtmp0_2.4~20110711.gitc28f1bab-1_amd64.deb) ...
Selecting previously unselected package libssh2-1.
Unpacking libssh2-1 (from .../libssh2-1_1.2.8-2_amd64.deb) ...
Selecting previously unselected package openssl.
Unpacking openssl (from .../openssl_1.0.0e-2.1_amd64.deb) ...
Selecting previously unselected package ca-certificates.
Unpacking ca-certificates (from .../ca-certificates_20111025_all.deb) ...
Selecting previously unselected package libcurl3.
Unpacking libcurl3 (from .../libcurl3_7.22.0-3_amd64.deb) ...
Selecting previously unselected package libglib2.0-0.
Unpacking libglib2.0-0 (from .../libglib2.0-0_2.28.8-1_amd64.deb) ...
Selecting previously unselected package libdbus-glib-1-2.
Unpacking libdbus-glib-1-2 (from .../libdbus-glib-1-2_0.98-1_amd64.deb) ...
Selecting previously unselected package libltdl7.
Unpacking libltdl7 (from .../libltdl7_2.4.2-1_amd64.deb) ...
Selecting previously unselected package libcap2.
Unpacking libcap2 (from .../libcap2_1%3a2.22-1_amd64.deb) ...
Selecting previously unselected package libevent-1.4-2.
Unpacking libevent-1.4-2 (from .../libevent-1.4-2_1.4.14b-stable-1_amd64.deb) ...
Selecting previously unselected package libnfsidmap2.
Unpacking libnfsidmap2 (from .../libnfsidmap2_0.24-1_amd64.deb) ...
Selecting previously unselected package rpcbind.
Unpacking rpcbind (from .../rpcbind_0.2.0-6_amd64.deb) ...
Selecting previously unselected package ucf.
Unpacking ucf (from .../ucf_3.0025+nmu2_all.deb) ...
Moving old data out of the way
Selecting previously unselected package nfs-common.
Unpacking nfs-common (from .../nfs-common_1%3a1.2.5-2_amd64.deb) ...
Selecting previously unselected package libpils2.
Unpacking libpils2 (from .../libpils2_1.0.8-3_amd64.deb) ...
Selecting previously unselected package libplumb2.
Unpacking libplumb2 (from .../libplumb2_1.0.8-3_amd64.deb) ...
Selecting previously unselected package liblrm2.
Unpacking liblrm2 (from .../liblrm2_1.0.8-3_amd64.deb) ...
Selecting previously unselected package libopenhpi2.
Unpacking libopenhpi2 (from .../libopenhpi2_2.14.1-1.1_amd64.deb) ...
Selecting previously unselected package libplumbgpl2.
Unpacking libplumbgpl2 (from .../libplumbgpl2_1.0.8-3_amd64.deb) ...
Selecting previously unselected package libstonith1.
Unpacking libstonith1 (from .../libstonith1_1.0.8-3_amd64.deb) ...
Selecting previously unselected package libtimedate-perl.
Unpacking libtimedate-perl (from .../libtimedate-perl_1.2000-1_all.deb) ...
Selecting previously unselected package cluster-glue.
Unpacking cluster-glue (from .../cluster-glue_1.0.8-3_amd64.deb) ...
Selecting previously unselected package libnet1.
Unpacking libnet1 (from .../libnet1_1.1.4-2.1_amd64.deb) ...
Selecting previously unselected package libsysfs2.
Unpacking libsysfs2 (from .../libsysfs2_2.1.0+repack-1_amd64.deb) ...
Selecting previously unselected package nfs-kernel-server.
Unpacking nfs-kernel-server (from .../nfs-kernel-server_1%3a1.2.5-2_amd64.deb) ...
Selecting previously unselected package resource-agents.
Unpacking resource-agents (from .../resource-agents_1%3a3.9.2-5_amd64.deb) ...
Selecting previously unselected package iputils-arping.
Unpacking iputils-arping (from .../iputils-arping_3%3a20101006-1+b1_amd64.deb) ...
Selecting previously unselected package rgmanager.
Unpacking rgmanager (from .../rgmanager_3.0.12-3_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/rgmanager_3.0.12-3_amd64.deb (--unpack):
 trying to overwrite '/usr/share/cluster/openldap.metadata', which is also in package resource-agents 1:3.9.2-5
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/rgmanager_3.0.12-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/share/cluster/ASEHAagent.sh
  /usr/share/cluster/SAPDatabase
  /usr/share/cluster/SAPInstance
  /usr/share/cluster/apache.metadata
  /usr/share/cluster/apache.sh
  /usr/share/cluster/clusterfs.sh
  /usr/share/cluster/fs.sh
  /usr/share/cluster/ip.sh
  /usr/share/cluster/lvm.metadata
  /usr/share/cluster/lvm.sh
  /usr/share/cluster/lvm_by_lv.sh
  /usr/share/cluster/lvm_by_vg.sh
  /usr/share/cluster/mysql.metadata
  /usr/share/cluster/mysql.sh
  /usr/share/cluster/named.metadata
  /usr/share/cluster/named.sh
  /usr/share/cluster/netfs.sh
  /usr/share/cluster/nfsclient.sh
  /usr/share/cluster/nfsexport.sh
  /usr/share/cluster/ocf-shellfuncs
  /usr/share/cluster/openldap.metadata
  /usr/share/cluster/openldap.sh
  /usr/share/cluster/oracledb.sh
  /usr/share/cluster/postgres-8.metadata
  /usr/share/cluster/postgres-8.sh
  /usr/share/cluster/samba.metadata
  /usr/share/cluster/samba.sh
  /usr/share/cluster/script.sh
  /usr/share/cluster/service.sh
  /usr/share/cluster/smb.sh
  /usr/share/cluster/svclib_nfslock
  /usr/share/cluster/tomcat-5.metadata
  /usr/share/cluster/tomcat-5.sh
  /usr/share/cluster/utils/config-utils.sh
  /usr/share/cluster/utils/fs-lib.sh
  /usr/share/cluster/utils/httpd-parse-config.pl
  /usr/share/cluster/utils/member_util.sh
  /usr/share/cluster/utils/messages.sh
  /usr/share/cluster/utils/ra-skelet.sh
  /usr/share/cluster/utils/tomcat-parse-config.pl
  /usr/share/cluster/vm.sh

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Marked as found in versions rgmanager/3.0.12-3.1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 07:24:08 GMT) Full text and rfc822 format available.

Marked as found in versions resource-agents/1:3.9.2-5. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:42:08 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Sat, 14 Jul 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@pps.univ-paris-diderot.fr>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Sat, 14 Jul 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #16 received at 649068@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@pps.univ-paris-diderot.fr>
To: 649068@bugs.debian.org
Subject: ping: Bug ##649068 - rgmanager and resource-agents: error when trying to install together
Date: Sat, 14 Jul 2012 19:49:41 +0200
Hello,

on November 17 2011 I submitted an RC bug report against resource-agents
and rgmanager:

[..]

dpkg: error processing /var/cache/apt/archives/rgmanager_3.0.12-3_amd64.deb (--unpack):
 trying to overwrite '/usr/share/cluster/openldap.metadata', which is also in package resource-agents 1:3.9.2-5

[...]

Any activity about this bug? The BTS doesn't contain any track of activity.

Cheers -Ralf.
-- 
Ralf Treinen
Laboratoire Preuves, Programmes et Systèmes
Université Paris Diderot, Paris, France.
http://www.pps.univ-paris-diderot.fr/~treinen/
=====> New email address: treinen@pps.univ-paris-diderot.fr <=====



Marked as found in versions rgmanager/3.0.12-3.2. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 19 Jul 2012 06:33:08 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3.1; no longer marked as found in versions rgmanager/3.0.12-3.1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 21 Jul 2012 04:36:05 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3.2; no longer marked as found in versions rgmanager/3.0.12-3.2. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 22 Jul 2012 10:06:02 GMT) Full text and rfc822 format available.

Reply sent to Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>:
You have taken responsibility. (Mon, 06 Aug 2012 15:33:05 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. (Mon, 06 Aug 2012 15:33:05 GMT) Full text and rfc822 format available.

Message #27 received at 649068-done@bugs.debian.org (full text, mbox):

From: Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>
To: 649068-done@bugs.debian.org
Subject: Bug fixed in Unstable
Date: Mon, 06 Aug 2012 17:29:32 +0200
Hi there,

this bug is fixed in unstable; the rgmanager package uploaded today does no
longer include files that are also present in resource-agents.

Best regards
Martin

-- 
Martin Gerhard Loschwitz
Chief Brand Officer, Principal Consultant
hastexo Professional Services

CONFIDENTIALITY NOTICE: This e-mail and/or the accompanying documents
are privileged and confidential under applicable law. The person who
receives this message and who is not the addressee, one of his employees
or an agent entitled to hand it over to the addressee, is informed that
he may not use, disclose or reproduce the contents thereof. Should you
have received this e-mail (or any copy thereof) in error, please let us
know by telephone or e-mail without delay and delete the message from
your system. Thank you.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Sep 2012 07:29:26 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Fri, 14 Sep 2012 12:27:05 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3.2; no longer marked as found in versions rgmanager/3.0.12-3.2 and reopened. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Fri, 14 Sep 2012 12:27:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions rgmanager/3.1.8-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Fri, 14 Sep 2012 12:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Fri, 14 Sep 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@pps.univ-paris-diderot.fr>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Fri, 14 Sep 2012 12:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 649068@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@pps.univ-paris-diderot.fr>
To: 649068@bugs.debian.org
Subject: Re: rgmanager and resource-agents: error when trying to install together
Date: Fri, 14 Sep 2012 14:29:57 +0200
Hello,

I have unarchived this bug since it still applies to the version of
rgmanager in testing:

Selecting previously unselected package rgmanager.
Unpacking rgmanager (from .../rgmanager_3.0.12-3.2_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/rgmanager_3.0.12-3.2_amd64.deb (-
-unpack):
 trying to overwrite '/usr/share/cluster/SAPDatabase', which is also in package 
resource-agents 1:3.9.2-5
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/rgmanager_3.0.12-3.2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

The upload of 3.1.8-1 has indeed fixed the bug in sid, but this is a new
upstream version which will most probably not be accepted by the RM into
testing, so this will also have to be fixed in testing.

-Ralf.
-- 
Ralf Treinen
Laboratoire Preuves, Programmes et Systèmes
Université Paris Diderot, Paris, France.
http://www.pps.univ-paris-diderot.fr/~treinen/
=====> New email address: treinen@pps.univ-paris-diderot.fr <=====



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Sun, 02 Dec 2012 11:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Sun, 02 Dec 2012 11:42:05 GMT) Full text and rfc822 format available.

Message #45 received at 649068@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Ralf Treinen <treinen@pps.univ-paris-diderot.fr>
Cc: 649068@bugs.debian.org
Subject: Re: rgmanager and resource-agents: error when trying to install together
Date: Sun, 2 Dec 2012 12:39:09 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi,

On Fri, Sep 14, 2012 at 02:29:57PM +0200, Ralf Treinen wrote:
> I have unarchived this bug since it still applies to the version of
> rgmanager in testing:

I attached a patch for a possible testing-proposed-updates upload, which
removes the conflicting files from rgmanager (just like in the version in
unstable).

With this patch, both packages can be installed together. I did not test the
functionality.

Cheers,

Ivo

[redhat-cluster_3.0.12-3.3.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to 649068-submit@bugs.debian.org. (Sun, 02 Dec 2012 11:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Mon, 10 Dec 2012 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Mon, 10 Dec 2012 14:15:06 GMT) Full text and rfc822 format available.

Message #52 received at 649068@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 649068@bugs.debian.org, Ivo De Decker <ivo.dedecker@ugent.be>
Subject: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Mon, 10 Dec 2012 15:10:19 +0100
Hi Ivo,

I intended to sponsor your prepared patch but for the moment I'm a bit blocked
because I would need to setup a pbuilder environment with Wheezy:

$ pdebuild
...
The following packages have unmet dependencies:
 libnetcf1 : Conflicts: libvirt0 (<= 0.10.1-2~) but 0.9.12-5 is to be installed.
Unable to resolve dependencies!  Giving up...
...

$ apt-cache policy libnetcf1
libnetcf1:
  Installiert:           (keine)
  Installationskandidat: 0.1.9-2
  Versionstabelle:
     0.2.2-2 0
         50 http://ftp.de.debian.org/debian/ unstable/main amd64 Packages
     0.1.9-2 0
        501 http://ftp.de.debian.org/debian/ testing/main amd64 Packages


The conflict mentioned above is not in libnetcf1 0.1.9-2 but it is in
0.2.2-2.  So if anybody tries to sponsor the package make sure you are
using a clean Wheezy chroot environment.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Mon, 10 Dec 2012 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Mon, 10 Dec 2012 15:06:03 GMT) Full text and rfc822 format available.

Message #57 received at 649068@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Andreas Tille <tille@debian.org>, 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Mon, 10 Dec 2012 16:05:15 +0100
On Mon, Dec 10, 2012 at 03:10:19PM +0100, Andreas Tille wrote:
> Hi Ivo,
> 
> I intended to sponsor your prepared patch but for the moment I'm a bit blocked
> because I would need to setup a pbuilder environment with Wheezy:


> 
> $ pdebuild
> ...
> The following packages have unmet dependencies:
>  libnetcf1 : Conflicts: libvirt0 (<= 0.10.1-2~) but 0.9.12-5 is to be installed.
> Unable to resolve dependencies!  Giving up...
> ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694362

has the status of the above issue. It's a problem with the latest necf
upload in sid and we're basically waiting for either the netcf
maintainers to revert it or I'll upload libvirt 1.0 which will work with
the above netcf but will make building packages for wheezy much harder.
Cheers,
 -- Guido

> 
> $ apt-cache policy libnetcf1
> libnetcf1:
>   Installiert:           (keine)
>   Installationskandidat: 0.1.9-2
>   Versionstabelle:
>      0.2.2-2 0
>          50 http://ftp.de.debian.org/debian/ unstable/main amd64 Packages
>      0.1.9-2 0
>         501 http://ftp.de.debian.org/debian/ testing/main amd64 Packages
> 
> 
> The conflict mentioned above is not in libnetcf1 0.1.9-2 but it is in
> 0.2.2-2.  So if anybody tries to sponsor the package make sure you are
> using a clean Wheezy chroot environment.
> 
> Kind regards
> 
>         Andreas.
> 
> -- 
> http://fam-tille.de
> 
> _______________________________________________
> Debian-ha-maintainers mailing list
> Debian-ha-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-ha-maintainers
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Mon, 10 Dec 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Mon, 10 Dec 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #62 received at 649068@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Mon, 10 Dec 2012 16:40:22 +0100
Hi,

Hi,

On Mon, Dec 10, 2012 at 04:05:15PM +0100, Guido Günther wrote:
> On Mon, Dec 10, 2012 at 03:10:19PM +0100, Andreas Tille wrote:
> > ...
> > The following packages have unmet dependencies:
> >  libnetcf1 : Conflicts: libvirt0 (<= 0.10.1-2~) but 0.9.12-5 is to be installed.
> > Unable to resolve dependencies!  Giving up...
> > ...
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694362
> 
> has the status of the above issue. It's a problem with the latest necf
> upload in sid and we're basically waiting for either the netcf
> maintainers to revert it or I'll upload libvirt 1.0 which will work with
> the above netcf but will make building packages for wheezy much harder.

Isn't creating a clean Wheezy chroot and building the package there the
best way to go anyway.  I know that "usually" building against unstable
is the right way to go but besides this we are targeting at Wheezy and
at some point in time (read close to the release data) building in a
"to-be-released" environment sounds more reasonable to me than blindly
following a rule that does not fit optimally.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Wed, 12 Dec 2012 13:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 13:03:10 GMT) Full text and rfc822 format available.

Message #67 received at 649068@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Andreas Tille <tille@debian.org>
Cc: Guido Günther <agx@sigxcpu.org>, 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Wed, 12 Dec 2012 13:59:44 +0100
Hi Andreas,

On Mon, Dec 10, 2012 at 04:40:22PM +0100, Andreas Tille wrote:
> Isn't creating a clean Wheezy chroot and building the package there the
> best way to go anyway.  I know that "usually" building against unstable
> is the right way to go but besides this we are targeting at Wheezy and
> at some point in time (read close to the release data) building in a
> "to-be-released" environment sounds more reasonable to me than blindly
> following a rule that does not fit optimally.

Uploads to t-p-u should be built in testing, not unstable:
http://www.debian.org/doc/manuals/developers-reference/pkgs.html#t-p-u
"Make sure that you've built and tested your package in testing, not in
unstable;"

I tried to do the build in wheezy when I first created the patch (10 days
ago), so it should still build there.

BTW did you ask for pre-approval from the release team for this upload? The
freeze policy requires this for updates that can't go to unstable.

Cheers,

Ivo





Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Wed, 12 Dec 2012 13:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #72 received at 649068@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Ivo De Decker <ivo.dedecker@ugent.be>
Cc: Guido Günther <agx@sigxcpu.org>, 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Wed, 12 Dec 2012 14:47:31 +0100
Hi Ivo,

On Wed, Dec 12, 2012 at 01:59:44PM +0100, Ivo De Decker wrote:
> Hi Andreas,
> 
> On Mon, Dec 10, 2012 at 04:40:22PM +0100, Andreas Tille wrote:
> > Isn't creating a clean Wheezy chroot and building the package there the
> > best way to go anyway.  I know that "usually" building against unstable
> > is the right way to go but besides this we are targeting at Wheezy and
> > at some point in time (read close to the release data) building in a
> > "to-be-released" environment sounds more reasonable to me than blindly
> > following a rule that does not fit optimally.
> 
> Uploads to t-p-u should be built in testing, not unstable:
> http://www.debian.org/doc/manuals/developers-reference/pkgs.html#t-p-u
> "Make sure that you've built and tested your package in testing, not in
> unstable;"
> 
> I tried to do the build in wheezy when I first created the patch (10 days
> ago), so it should still build there.
> 
> BTW did you ask for pre-approval from the release team for this upload? The
> freeze policy requires this for updates that can't go to unstable.

Hmmm, why do you think that the package can't go to unstable?  It builds
fine in unstable, I have not seen any versioned depends that might
prevent a migration to testing.  Did I missed something?

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Wed, 12 Dec 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 13:57:03 GMT) Full text and rfc822 format available.

Message #77 received at 649068@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Andreas Tille <andreas@an3as.eu>
Cc: Ivo De Decker <ivo.dedecker@ugent.be>, Guido Günther <agx@sigxcpu.org>, 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Wed, 12 Dec 2012 14:55:50 +0100
Hi Andreas,

On Wed, Dec 12, 2012 at 02:47:31PM +0100, Andreas Tille wrote:
> > BTW did you ask for pre-approval from the release team for this upload? The
> > freeze policy requires this for updates that can't go to unstable.
> 
> Hmmm, why do you think that the package can't go to unstable?  It builds
> fine in unstable, I have not seen any versioned depends that might
> prevent a migration to testing.  Did I missed something?

Testing has redhat-cluster 3.0.12-3.2, unstable has 3.1.8-1 which is a new
upstream with a massive diff:

702 files changed, 8488 insertions(+), 197432 deletions(-)

I don't think this will be unblocked.

Cheers,

Ivo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>:
Bug#649068; Package resource-agents,rgmanager. (Wed, 12 Dec 2012 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>. (Wed, 12 Dec 2012 14:06:03 GMT) Full text and rfc822 format available.

Message #82 received at 649068@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Ivo De Decker <ivo.dedecker@ugent.be>
Cc: Guido Günther <agx@sigxcpu.org>, 649068@bugs.debian.org
Subject: Re: [Debian-ha-maintainers] Bug#649068: Seems to need Wheezy build environment (Was: rgmanager and resource-agents: error when trying to install)
Date: Wed, 12 Dec 2012 15:02:00 +0100
Hi Ivo,

On Wed, Dec 12, 2012 at 02:55:50PM +0100, Ivo De Decker wrote:
> Hi Andreas,
> 
> On Wed, Dec 12, 2012 at 02:47:31PM +0100, Andreas Tille wrote:
> > > BTW did you ask for pre-approval from the release team for this upload? The
> > > freeze policy requires this for updates that can't go to unstable.
> > 
> > Hmmm, why do you think that the package can't go to unstable?  It builds
> > fine in unstable, I have not seen any versioned depends that might
> > prevent a migration to testing.  Did I missed something?
> 
> Testing has redhat-cluster 3.0.12-3.2, unstable has 3.1.8-1 which is a new
> upstream with a massive diff:
> 
> 702 files changed, 8488 insertions(+), 197432 deletions(-)
> 
> I don't think this will be unblocked.

Sure - I somehow mixed this up with the mlterm upload.  You are right
for redhat-cluster and I currently can not spend time into this one. 

Sorry for the confusion

       Andreas.

-- 
http://fam-tille.de



Bug reassigned from package 'resource-agents,rgmanager' to 'rgmanager'. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:12:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions rgmanager/3.0.12-3.1, resource-agents/1:3.9.2-5, rgmanager/3.0.12-3.2, and rgmanager/3.0.12-3. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:12:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions rgmanager/3.1.8-1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:12:03 GMT) Full text and rfc822 format available.

Added indication that 649068 affects resource-agents Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:12:04 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:18:05 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3.1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:18:05 GMT) Full text and rfc822 format available.

Marked as found in versions rgmanager/3.0.12-3.2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:18:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions rgmanager/3.1.8-1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 14 Dec 2012 15:18:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions rgmanager/3.0.12-3. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions rgmanager/3.0.12-3.1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions rgmanager/3.0.12-3.2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions rgmanager/3.1.8-1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions redhat-cluster/3.0.12-3. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions redhat-cluster/3.0.12-3.1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions redhat-cluster/3.0.12-3.2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions redhat-cluster/3.1.8-1. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 15 Dec 2012 11:21:05 GMT) Full text and rfc822 format available.

Reply sent to Ivo De Decker <ivo.dedecker@ugent.be>:
You have taken responsibility. (Fri, 28 Dec 2012 15:21:06 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. (Fri, 28 Dec 2012 15:21:07 GMT) Full text and rfc822 format available.

Message #119 received at 649068-close@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: 649068-close@bugs.debian.org
Subject: Bug#649068: fixed in redhat-cluster 3.0.12-3.2+deb7u1
Date: Fri, 28 Dec 2012 15:17:40 +0000
Source: redhat-cluster
Source-Version: 3.0.12-3.2+deb7u1

We believe that the bug you reported is fixed in the latest version of
redhat-cluster, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649068@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivo De Decker <ivo.dedecker@ugent.be> (supplier of updated redhat-cluster package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 28 Dec 2012 15:09:48 +0100
Source: redhat-cluster
Binary: redhat-cluster-suite cman liblogthread3 liblogthread-dev libccs3 libccs-dev libccs-perl libcman3 libcman-dev libdlm3 libdlm-dev libdlmcontrol3 libdlmcontrol-dev libfence4 libfence-dev gfs-tools gfs2-tools rgmanager redhat-cluster-source dlm-pcmk gfs-pcmk
Architecture: source amd64 all
Version: 3.0.12-3.2+deb7u1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Changed-By: Ivo De Decker <ivo.dedecker@ugent.be>
Description: 
 cman       - Red Hat cluster suite - cluster manager
 dlm-pcmk   - Red Hat cluster suite - DLM pacemaker module
 gfs-pcmk   - Red Hat cluster suite - GFS pacemaker module
 gfs-tools  - Red Hat cluster suite - global file system tools
 gfs2-tools - Red Hat cluster suite - global file system 2 tools
 libccs-dev - Red Hat cluster suite - cluster manager development files
 libccs-perl - Red Hat cluster suite - cluster configuration module
 libccs3    - Red Hat cluster suite - cluster configuration libraries
 libcman-dev - Red Hat cluster suite - cluster manager development files
 libcman3   - Red Hat cluster suite - cluster manager libraries
 libdlm-dev - Red Hat cluster suite - distributed lock manager development file
 libdlm3    - Red Hat cluster suite - distributed lock manager library
 libdlmcontrol-dev - Red Hat cluster suite - distributed lock manager development file
 libdlmcontrol3 - Red Hat cluster suite - distributed lock manager library
 libfence-dev - Red Hat cluster suite - fence server development files
 libfence4  - Red Hat cluster suite - fence client library
 liblogthread-dev - Red Hat cluster suite - cluster logging development files
 liblogthread3 - Red Hat cluster suite - cluster logging libraries
 redhat-cluster-source - Red Hat cluster suite - kernel module source
 redhat-cluster-suite - Red Hat cluster suite - metapackage
 rgmanager  - Red Hat cluster suite - clustered resource group manager
Closes: 649068
Changes: 
 redhat-cluster (3.0.12-3.2+deb7u1) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Upload to testing for wheezy.
   * Don't install files already in resource-agents. (Closes: #649068)
Checksums-Sha1: 
 8df31a3523ec6d69173e20fb1205fab0453dd055 3261 redhat-cluster_3.0.12-3.2+deb7u1.dsc
 6f1fe14a741d6e5a7c036d1a194ed5f21e501f5a 40655 redhat-cluster_3.0.12-3.2+deb7u1.diff.gz
 78b55937bb50fc2abcaa2820fb058d2b74c40ab3 625412 cman_3.0.12-3.2+deb7u1_amd64.deb
 cd0fddf2fe080840f321e0a78966897e8a52783d 24328 liblogthread3_3.0.12-3.2+deb7u1_amd64.deb
 a34acaa05c5b8dfafe8eaa31e7420e3b8b37cbbe 23748 liblogthread-dev_3.0.12-3.2+deb7u1_amd64.deb
 8df5071662542e3dcc4469bd84ffe645cf742f81 31524 libccs3_3.0.12-3.2+deb7u1_amd64.deb
 7ce58d02539d003fafd3992ca4fc9b4c7763ef8c 31942 libccs-dev_3.0.12-3.2+deb7u1_amd64.deb
 597cbe59bb797a78f729cf1cef44c9d33f44e3d1 29510 libccs-perl_3.0.12-3.2+deb7u1_amd64.deb
 3cec6affa57a1c597ef574e3bacd73e0d6229df5 28270 libcman3_3.0.12-3.2+deb7u1_amd64.deb
 0f7bdce4c4310ecc73a637e3f32f0fd1a89f1bc4 32480 libcman-dev_3.0.12-3.2+deb7u1_amd64.deb
 e704befb31c995fca96d6e0beec3e0dbdbc82b98 32550 libdlm3_3.0.12-3.2+deb7u1_amd64.deb
 1d9d108f931504c727a16fa262a21beeba1ed930 40786 libdlm-dev_3.0.12-3.2+deb7u1_amd64.deb
 c079078a2e8596297e52002f31d8acb266cbf3dc 24604 libdlmcontrol3_3.0.12-3.2+deb7u1_amd64.deb
 3d104591ce81c1716a5a210a00a9a34d20073361 24522 libdlmcontrol-dev_3.0.12-3.2+deb7u1_amd64.deb
 d903a2200198071f7a82bb86fc5e4c32fcec8d45 27616 libfence4_3.0.12-3.2+deb7u1_amd64.deb
 361ef829bbc7b356afa8ce79a10dcfee36945c1e 27164 libfence-dev_3.0.12-3.2+deb7u1_amd64.deb
 9fa2f6d6509137b24e2c8694d416000af72d9545 216774 gfs-tools_3.0.12-3.2+deb7u1_amd64.deb
 a365506a40ae38c216d8eafaa698fd5bf885d74e 327626 gfs2-tools_3.0.12-3.2+deb7u1_amd64.deb
 9dd8c97fe7d22c95678c7d4a381e1c34cbfd8dbc 206058 rgmanager_3.0.12-3.2+deb7u1_amd64.deb
 5c7d4beef9adba408c3e946f26da2be07fa70016 95328 dlm-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 3f47705eec7f3d7621934dec317b73742dcdc43a 102078 gfs-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 74308dd9d5b2b8fc1273600a22beeb6ab0b76a29 21284 redhat-cluster-suite_3.0.12-3.2+deb7u1_all.deb
 261e2c71273eaba83c87982201121682faedb52d 208846 redhat-cluster-source_3.0.12-3.2+deb7u1_all.deb
Checksums-Sha256: 
 12ad63577366c7095602fd6eec4ed7874a31eb22bf6d7b1f0cf1fa5955586902 3261 redhat-cluster_3.0.12-3.2+deb7u1.dsc
 c9efd0c8ef653d0fa1ffe1d3a6f396e7b357dc2e3674df364631587c47ef608f 40655 redhat-cluster_3.0.12-3.2+deb7u1.diff.gz
 5628ea50450eb49f534bbafcb50e25084ba1e8f96b5073592bcf133e1c1c4141 625412 cman_3.0.12-3.2+deb7u1_amd64.deb
 3dc3496c3016d8939faed1dbb42a817b8b79dc948d270a7a47e8f78f9e46d863 24328 liblogthread3_3.0.12-3.2+deb7u1_amd64.deb
 1b35cdb9d51ec4087a9523356e3f45841ae1cb7fa5d303469632b4c16c01bd7a 23748 liblogthread-dev_3.0.12-3.2+deb7u1_amd64.deb
 97a5fef799a177686bfe9c653bd6f362f30b458b268ec0ae26d9c4bed3303a0e 31524 libccs3_3.0.12-3.2+deb7u1_amd64.deb
 d91588aeac954cff6aa03fa56cd6ebb04d62090667daa443dfa8e951b553d1b2 31942 libccs-dev_3.0.12-3.2+deb7u1_amd64.deb
 c82a910f2c74b3ddcb0a4377afbe05b66397eba95107c46ea1c494754b301fb7 29510 libccs-perl_3.0.12-3.2+deb7u1_amd64.deb
 d2ba357d7382ea3a56d8eb7e29c6de2fc9ae47fa9a36ecd8bfaee7c06a201fb4 28270 libcman3_3.0.12-3.2+deb7u1_amd64.deb
 d0e7df7341ff3ef89a374a910186a4c9194924a1e426cde118396243e68c4747 32480 libcman-dev_3.0.12-3.2+deb7u1_amd64.deb
 cf66d878ef776ecfb7b13133c6a4b407e5a1657cce1286625cf954be7f70a615 32550 libdlm3_3.0.12-3.2+deb7u1_amd64.deb
 7c57af9688ddb619b97329413b8adeea880e4ca91f58ef522b969e15e3575ddd 40786 libdlm-dev_3.0.12-3.2+deb7u1_amd64.deb
 4bd44df9af7ed8eabfdd9ee945ca284d560368782db69e447a8b27942b6f4835 24604 libdlmcontrol3_3.0.12-3.2+deb7u1_amd64.deb
 de41dc9e58ab6457b976351792badb41fc5b1ec286c92929ab438f52137deaad 24522 libdlmcontrol-dev_3.0.12-3.2+deb7u1_amd64.deb
 aeb1756a4ef11c9d4e9ca0618b910fe4b75e9aa53f611f4a65a464d04f84a548 27616 libfence4_3.0.12-3.2+deb7u1_amd64.deb
 356fb5e027392898211cf26aa8b080337102d4dd6dc776e6af850a9644b5af2f 27164 libfence-dev_3.0.12-3.2+deb7u1_amd64.deb
 7773fcafb0bf9d90210b077bf8ad799fd507c1aa54117d488f20a157dc8cc9dc 216774 gfs-tools_3.0.12-3.2+deb7u1_amd64.deb
 d8cc2d5babab317df84748c784d95808895fc1576c202e168b0fbf6b406dab63 327626 gfs2-tools_3.0.12-3.2+deb7u1_amd64.deb
 3175082e91df9299b8275f93fab7472736ff3f6f2d9586da61e0e5af91bc25a2 206058 rgmanager_3.0.12-3.2+deb7u1_amd64.deb
 27c1d7d3125e463e9a9b1a9f08e9e39ce79c203e517ccb40757c53a25e8fccc4 95328 dlm-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 4c36cbb38ec08bc6b254d7f85298ce4ce64030102c06f5b21c7832c28aa88853 102078 gfs-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 630bea5d43b51006d89f1bfa5abfc030e5bff058b6648666d178feba552641aa 21284 redhat-cluster-suite_3.0.12-3.2+deb7u1_all.deb
 2e3b1476106da674281ebc2a06eb3bab859819a43933a8ff8f4c65e7c1a41af2 208846 redhat-cluster-source_3.0.12-3.2+deb7u1_all.deb
Files: 
 76dcdffbc0bc3c007c658e11bdaf6786 3261 admin optional redhat-cluster_3.0.12-3.2+deb7u1.dsc
 f61481ea8e53e066ebb969ea77d6e508 40655 admin optional redhat-cluster_3.0.12-3.2+deb7u1.diff.gz
 caddde08ea48640b1a20dad0393dd7ae 625412 admin optional cman_3.0.12-3.2+deb7u1_amd64.deb
 1125e42fed36837eda8b7273959169b5 24328 libs optional liblogthread3_3.0.12-3.2+deb7u1_amd64.deb
 d89b4e307c3d1e1a0f7d6f52685178d0 23748 libdevel optional liblogthread-dev_3.0.12-3.2+deb7u1_amd64.deb
 5fb9de19e4d498eda07aaa3fc6d386ec 31524 libs optional libccs3_3.0.12-3.2+deb7u1_amd64.deb
 dc6cfce40802411b7727aee4073699df 31942 libdevel optional libccs-dev_3.0.12-3.2+deb7u1_amd64.deb
 24be9aefab85c902dbd769f03fc0c4db 29510 perl optional libccs-perl_3.0.12-3.2+deb7u1_amd64.deb
 85cc677c4ddbe4d4638d70dbd4f3d0ea 28270 libs optional libcman3_3.0.12-3.2+deb7u1_amd64.deb
 822501b7158bf896ba6dddd87e9fe0d4 32480 libdevel optional libcman-dev_3.0.12-3.2+deb7u1_amd64.deb
 d8462fd28a7c41de337d2fd39d0cf9bb 32550 libs optional libdlm3_3.0.12-3.2+deb7u1_amd64.deb
 441f947e5048bc4cf36781a5fec1a35a 40786 libdevel optional libdlm-dev_3.0.12-3.2+deb7u1_amd64.deb
 13e4ab7ec0cd8e21da2a6c5bfcbd6871 24604 libs optional libdlmcontrol3_3.0.12-3.2+deb7u1_amd64.deb
 844655d603aaa159313f88dad2782ddb 24522 libdevel optional libdlmcontrol-dev_3.0.12-3.2+deb7u1_amd64.deb
 3cf2e3c8b984b865ea3f01405d7ef8d4 27616 libs optional libfence4_3.0.12-3.2+deb7u1_amd64.deb
 faa1a5f5f0103d3595a3eff022d93ff6 27164 libdevel optional libfence-dev_3.0.12-3.2+deb7u1_amd64.deb
 27d7bff147e81fc34685d2913ca49131 216774 admin optional gfs-tools_3.0.12-3.2+deb7u1_amd64.deb
 ebaca077d81f5bbdd9101c89e01325d9 327626 admin optional gfs2-tools_3.0.12-3.2+deb7u1_amd64.deb
 88c7b402a501ec2bf6381abcf7940db5 206058 admin optional rgmanager_3.0.12-3.2+deb7u1_amd64.deb
 0864865fc901b81254ccb88c8e6a81ec 95328 admin optional dlm-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 ff09ad662712b650ad70aac8f32e3983 102078 admin optional gfs-pcmk_3.0.12-3.2+deb7u1_amd64.deb
 9f0c54741e17a2da95a131c34df5cbb2 21284 admin optional redhat-cluster-suite_3.0.12-3.2+deb7u1_all.deb
 9c0b0fe1a13d7c5376da283e866f6b69 208846 admin optional redhat-cluster-source_3.0.12-3.2+deb7u1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQ3bUPAAoJEHidbwV/2GP+rP0QALsYa0vdJTWpSCbsrB5qUJNP
2Tz52+bMfgfsPV5IdbwxxLJfb6rlHWcmrOzMs+aJ4X6KQ0EJWBX9t+l+gMq5fDEz
u50FESVXOCml+YAxMMB1boUZMjTI3YujVBox0veTzZud7bx42hYOE4dxzfpwBQ0x
pjgapCazpm6QSuftHVEFKBJlZukfXxFZqlVs4w6VAhDFdVQJznjeF/ph/MOF1XlS
zNhPeqH+NmGblcZpp9Q4fubjF+dJR+IHiFyVGoBzYdNOEiEoivhu4Zs49Xsljm2z
pq8XOf59ut0S+K7DTokEdZkOr7jtm85Pnxhph40aYLL7NNtEPWWdtrtl97SDaP+/
2QS2WM103u5RM3aEZmnaa4W2Tn7NTvseluSq1dRc9YBSdEiB6SpnZ9Z0AUqwCdTy
euEQF5czYQZHsOST68kdhrjU1UxBmlyLBLRDYy92hVFO+ys+7M0CbvR2LiqQXgtK
ywshuJ8w/233u+VscVr9B/DEkCsY5+NgCy5JaFPnICp3xpR7yVE3/aSyi9h06ijw
zsAlel03jlMFEQQpn737tcKWWhyTvlMdabAT1sDjCSLkwhQ1FlKa28gSpTtRvZ+x
cTt0aLe0kq5Pn/zf8chcLzLvhHF7n7QT+c/xv9LyCzEebkZWhNePizsOizUWXwvQ
L8eCVp3Bo93fhvY+HnTS
=KZBe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jan 2013 07:27:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:41:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.